summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-engines/scummvm-tools/Manifest1
-rw-r--r--games-engines/scummvm-tools/scummvm-tools-2.1.0.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/games-engines/scummvm-tools/Manifest b/games-engines/scummvm-tools/Manifest
index 6656d34c748..3026acf91a0 100644
--- a/games-engines/scummvm-tools/Manifest
+++ b/games-engines/scummvm-tools/Manifest
@@ -1,2 +1,3 @@
DIST scummvm-tools-1.8.0.tar.xz 864048 BLAKE2B 7e3184bda33c582708be204493cd99504ef7286305ba01d052a95bf317c56630109e963ecd8d26d4f8868bb75e5b0cb22154fe4cb794a01dabe25b11568babbb SHA512 eed0aa0cceef59c42aabe94fe382a4494085c479d310cb624131746a1cbacc37d4a43603a5321167eb5fd4d9d8235fc794bdca5a3417fc4d224213e5409347ed
DIST scummvm-tools-2.0.0.tar.xz 866668 BLAKE2B 51e6a771f0b1902f9cadc1e84da4b97aa42bc810c781ba238b3dad9ce242792d0de805e6d129607bace36b7a3cb8dc7a7a1a6fd13211320afe6546569b49f0ff SHA512 a4c645f2a05b5f208658bad1a3122115a3077809141f5d4b281414ca32854d14987a8b6d4579f3bdd9d3eeeab880d98e3b540c3f69155197f20a2094a7812c60
+DIST scummvm-tools-2.1.0.tar.xz 710124 BLAKE2B e6985c2e12a31aa9b11a80193186b101e663ce7eaf95de68639482bc82e104c879518f253c40e733c829ceb75b62d4905314cf7ad959766c4b7b49c1ee9e0136 SHA512 40e0b1a545257922dd1846d520ef0c18ef7a2682a3d7bb1709bcd49b1338ed7cefea438958941586329271d84e01bf189a14e31f5758e500df607d162ee9cc15
diff --git a/games-engines/scummvm-tools/scummvm-tools-2.1.0.ebuild b/games-engines/scummvm-tools/scummvm-tools-2.1.0.ebuild
new file mode 100644
index 00000000000..6c46f947a6d
--- /dev/null
+++ b/games-engines/scummvm-tools/scummvm-tools-2.1.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+WX_GTK_VER=3.0-gtk3
+inherit wxwidgets eutils flag-o-matic
+
+DESCRIPTION="utilities for the SCUMM game engine"
+HOMEPAGE="http://scummvm.sourceforge.net/"
+SRC_URI="http://scummvm.org/frs/scummvm-tools/${PV}/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="flac iconv mad png vorbis"
+RESTRICT="test" # some tests require external files
+
+RDEPEND=">=dev-libs/boost-1.32:=
+ sys-libs/zlib
+ x11-libs/wxGTK:${WX_GTK_VER}
+ flac? ( media-libs/flac )
+ iconv? ( virtual/libiconv media-libs/freetype:2 )
+ mad? ( media-libs/libmad )
+ png? ( media-libs/libpng:0 )
+ vorbis? ( media-libs/libvorbis )"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.8.0-binprefix.patch"
+)
+
+src_prepare() {
+ default
+
+ need-wxwidgets unicode
+ rm -rf *.bat dists/win32 || die
+ sed -ri -e '/^(CC|CXX)\b/d' Makefile || die
+}
+
+src_configure() {
+ # Not an autoconf script
+ ./configure \
+ --prefix=/usr \
+ --disable-tremor \
+ --enable-verbose-build \
+ --mandir=/usr/share/man \
+ $(use_enable flac) \
+ $(use_enable iconv) \
+ $(use_enable iconv freetype) \
+ $(use_enable mad) \
+ $(use_enable png) \
+ $(use_enable vorbis) || die
+}
+
+src_install() {
+ EXEPREFIX="${PN}-" default
+}